PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PDevicePluginFactory< AbstractClass, KeyType >::Worker Class Reference

`#include <plugin.h>`

Inherits WorkerBase_T.

## Public Member Functions
| Worker (const KeyType &key, bool singleton=false)
| ~Worker ()

## Protected Member Functions
virtual AbstractClass * | Create (const KeyType &key) const

## Constructor & Destructor Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::Worker | ( | const KeyType & | key,
|  | bool | singleton = `false`
| ) |  |
| inline

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::~Worker | ( |  | ) |
| inline

## Member Function Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>

virtual AbstractClass* PDevicePluginFactory< AbstractClass, KeyType >::Worker::Create | ( | const KeyType & | key | ) | const
| protected virtual

The documentation for this class was generated from the following file:

- plugin.h